diff --git a/doc/src/sgml/release-18.sgml b/doc/src/sgml/release-18.sgml
index 86c4a231684..b281e210aae 100644
--- a/doc/src/sgml/release-18.sgml
+++ b/doc/src/sgml/release-18.sgml
@@ -363,12 +363,28 @@ Allow merge joins to use incremental sorts (Richard Guo)
 <!--
 Author: David Rowley <drowley@postgresql.org>
 2024-08-20 [adf97c156] Speed up Hash Join by making ExprStates support hashing
+Author: David Rowley <drowley@postgresql.org>
+2024-12-11 [0f5738202] Use ExprStates for hashing in GROUP BY and SubPlans
+Author: Jeff Davis <jdavis@postgresql.org>
+2025-03-24 [4d143509c] Create accessor functions for TupleHashEntry.
+Author: Jeff Davis <jdavis@postgresql.org>
+2025-03-24 [a0942f441] Add ExecCopySlotMinimalTupleExtra().
+Author: Jeff Davis <jdavis@postgresql.org>
+2025-03-24 [626df47ad] Remove 'additional' pointer from TupleHashEntryData.
 -->
 
 <listitem>
 <para>
-Improve the performance of hash joins (David Rowley)
+Improve the performance and reduce memory usage of hash joins and GROUP BY (David Rowley, Jeff Davis)
 <ulink url="&commit_baseurl;adf97c156">&sect;</ulink>
+<ulink url="&commit_baseurl;0f5738202">&sect;</ulink>
+<ulink url="&commit_baseurl;4d143509c">&sect;</ulink>
+<ulink url="&commit_baseurl;a0942f441">&sect;</ulink>
+<ulink url="&commit_baseurl;626df47ad">&sect;</ulink>
+</para>
+
+<para>
+This also improves hash set operations used by EXCEPT, and hash lookups of subplan values.
 </para>
 </listitem>
 
